[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLQueryOptions

Set of TSQLQueryOption

## Declaration

Source position: sqldb.pp line 472

`type TSQLQueryOptions = set of (`
`sqoKeepOpenOnCommit,` |  | Keep the dataset open after the query was committed (will fetch all records).
`sqoAutoApplyUpdates,` |  | Call ApplyUpdates on Post or Delete
`sqoAutoCommit,` |  | Call commit after every ApplyUpdates or ExecSQL
`sqoCancelUpdatesOnRefresh,` |  | Cancel any pending updates when refresh is called
`sqoRefreshUsingSelect` |  | Force a refresh using the provided select instead of using RETURNING clause
`);`

## Description

TSQLQueryOptions is the type of the TSQLQuery.Options property.

## See also

TSQLQueryOption |  | SQL Query options
TSQLQuery.Options |  | Options controlling the behaviour of the dataset